export class ServiceRegistry {
    static metadataKey = Symbol("service-metadata");
    static register(service, metadata) {
        if (ServiceRegistry.has(service)) {
            throw new Error(`Service ${service.name} is already registered`);
        }
        Object.defineProperty(service, this.metadataKey, {
            value: metadata,
            writable: false,
        });
    }
    static has(service) {
        return this.metadataKey in service;
    }
    static get(service) {
        return service[this.metadataKey];
    }
}
//# sourceMappingURL=ServiceRegistry.js.map