import { getNameOfDescriptor } from "../../helpers/getNameOfDescriptor.js";
import { requestPathToArray } from "../../helpers/requestPathToArray.js";
export function validateRequestPath(path, descriptor) {
    for (let node = path; node; node = node.next) {
        if (node.value === descriptor) {
            throw new Error(`Cyclic dependency detected: ${[descriptor, ...requestPathToArray(path)]
                .reverse()
                .filter((v) => v !== null)
                .map(getNameOfDescriptor)
                .join(" -> ")}`);
        }
    }
}
//# sourceMappingURL=validateRequestPath.js.map