export async function resolveGeneratorAsync(iterator) {
    let result = iterator.next();
    for (; !result.done; result = iterator.next()) {
        try {
            await result.value;
        }
        catch (err) {
            result = iterator.throw(err);
        }
    }
    return result.value;
}
//# sourceMappingURL=resolveGeneratorAsync.js.map