import { getNameOfServiceType } from "../helpers/getNameOfServiceType.js";
import { BaseServiceImplementationResolver } from "./BaseServiceImplementationResolver.js";
export class DryImplementationResolver extends BaseServiceImplementationResolver {
    implementation;
    get name() {
        return getNameOfServiceType(this.implementation);
    }
    constructor(implementation) {
        super();
        this.implementation = implementation;
    }
    *resolve(internalGetService, descriptor, requestedBy, requestedPath, mode) {
        yield* this.implementation.resolve(internalGetService, descriptor, requestedBy, requestedPath, mode);
        return () => null;
    }
}
//# sourceMappingURL=DryImplementationResolver.js.map