import { getNameOfServiceType } from "../helpers/getNameOfServiceType.js";
import { BaseServiceImplementationResolver } from "./BaseServiceImplementationResolver.js";
export class ProxyServiceImplementationResolver extends BaseServiceImplementationResolver {
    service;
    get name() {
        return getNameOfServiceType(this.service);
    }
    constructor(service) {
        super();
        this.service = service;
    }
    *resolve(internalGetService, descriptor, requestedBy, requestedPath, mode) {
        const implementation = yield* internalGetService(this.service, requestedBy, requestedPath, mode);
        return () => implementation;
    }
}
//# sourceMappingURL=ProxyServiceImplementationResolver.js.map